Loading...
Searching...
No Matches
XrdSysLoggerRP Struct Reference
Collaboration diagram for XrdSysLoggerRP:

## Public Member Functions

| XrdSysLoggerRP (XrdSysLogger *lp)
| ~XrdSysLoggerRP ()

## Public Attributes

XrdSysSemaphore | active
XrdSysLogger * | logger

## Detailed Description

Definition at line 120 of file XrdSysLogger.cc.

## Constructor & Destructor Documentation

## XrdSysLoggerRP()

XrdSysLoggerRP::XrdSysLoggerRP | ( | XrdSysLogger * | lp | ) |

inline

Definition at line 124 of file XrdSysLogger.cc.

: logger(lp), active(0)
{}
XrdSysLoggerRP::logger
XrdSysLogger * logger
Definition XrdSysLogger.cc:121
XrdSysLoggerRP::active
XrdSysSemaphore active
Definition XrdSysLogger.cc:122

References active, and logger.

## ~XrdSysLoggerRP()

XrdSysLoggerRP::~XrdSysLoggerRP | ( |  | ) |

inline

Definition at line 126 of file XrdSysLogger.cc.

{}

## Member Data Documentation

## active

XrdSysSemaphore XrdSysLoggerRP::active

Definition at line 122 of file XrdSysLogger.cc.

Referenced by XrdSysLoggerRP(), XrdSysLogger::Bind(), and XrdSysLoggerRT().

## logger

XrdSysLogger* XrdSysLoggerRP::logger

Definition at line 121 of file XrdSysLogger.cc.

Referenced by XrdSysLoggerRP(), and XrdSysLoggerRT().

The documentation for this struct was generated from the following file:

- XrdSysLogger.cc